import org.kde.qt.*;

public class SignalForwarder extends QDialog {

	SignalForwarder() {
		QPushButton searchButton = new QPushButton("Search", this);
		connect( searchButton, SIGNAL("clicked()"), this, SIGNAL("continueSearch()"));		
		connect( this, SIGNAL("continueSearch()"), this, SLOT("slotContinueSearch()"));		
	}

	public void slotContinueSearch()
	{
		System.out.println("in continueSearch()...");
	}
		
	public static void main(String[] args)
	{
		QApplication myapp = new QApplication(args);
		
		SignalForwarder signalForwarder = new SignalForwarder();
		myapp.setMainWidget(signalForwarder);
		signalForwarder.show();
		myapp.exec();
		
		return;
	}
	
	static {
                qtjava.initialize();
	}
}
